camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: [DISCUSS] Upgrade Camel to Karaf 4
Date Tue, 11 Oct 2016 15:00:20 GMT
We only support Karaf 4.x or newer.
So your PR is good and we would like to merge it.

On Tue, Oct 11, 2016 at 4:07 PM, Tomohisa Igarashi
<tm.igarashi@gmail.com> wrote:
> Hi,
>
> I just submitted a pull request for CAMEL-10124, migrating camel commands to
> karaf4 style. And found this thread is somehow related...
> https://issues.apache.org/jira/browse/CAMEL-10124
> https://github.com/apache/camel/pull/1206
>
> As far as I tested locally, current camel commands are working fine on
> karaf4 as well, although it's using deprecated API. The changeset I
> submitted migrates those to karaf4 style to remove deprecated API usage, but
> it doesn't work on karaf 2 and 3. So I'm wondering which versions of karaf
> should be supported by current camel upstream?
>
> Thanks,
> Tomo
>
>
> On 09/23/2016 05:21 PM, Guillaume Nodet wrote:
>>
>> I'd like to start a discussion around upgrading Camel karaf support to
>> Karaf 4.
>> Karaf 4 has brought a number of changes that could be leveraged :
>>   * no strong dependency on blueprint
>>   * complete feature validation at build time
>>   * more fine grained feature so that all dependencies can be expressed
>>
>> I'd like to leverage those for Camel.  This can be achieved either by
>> dropping support for Karaf 2 and 3, or by keeping both (effectively
>> duplicating the integration code in platforms/karaf to platforms/karaf4).
>>
>> Also, it would make sense to upgrade to cxf 3.2-SNAPSHOT which I'm also
>>  upgrading to Karaf 4.
>>
>> Thoughts ?
>> Guillaume Nodet
>>
>



-- 
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2

Mime
View raw message